aboutsummaryrefslogtreecommitdiffstats
path: root/main/libmms/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-09-16 00:03:09 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2010-09-21 08:29:59 +0000
commitb672d4039808e907533db69718fe63e641edf33a (patch)
tree2d5cc50e9a86f55d9ebed75662b63536241145d9 /main/libmms/APKBUILD
parent9c46f5fad1b8fa29e528b84b60fdaef532a57904 (diff)
downloadaports-b672d4039808e907533db69718fe63e641edf33a.tar.gz
aports-b672d4039808e907533db69718fe63e641edf33a.tar.bz2
aports-b672d4039808e907533db69718fe63e641edf33a.tar.xz
main/libmms: new apkbuild
(cherry picked from commit c585bfc807ce93c75bd67a81e14ae7a580bab876)
Diffstat (limited to 'main/libmms/APKBUILD')
-rw-r--r--main/libmms/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/libmms/APKBUILD b/main/libmms/APKBUILD
new file mode 100644
index 0000000000..0a133834f4
--- /dev/null
+++ b/main/libmms/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter
+# Maintainer:
+pkgname=libmms
+pkgver=0.6
+pkgrel=0
+pkgdesc="MMS stream protocol library"
+url="http://sourceforge.net/projects/libmms/"
+license="LGPL"
+depends=
+makedepends="pkgconfig glib-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ libmms-0.5-this-keyword.patch
+"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i "$srcdir"/libmms-0.5-this-keyword.patch || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-static
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="650ad04a4c8bd79246390b81b29680b6 libmms-0.6.tar.gz
+5266259060f5723d8ee639b8a541f835 libmms-0.5-this-keyword.patch"